%define upstream_name    Convert-Scalar
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13
Summary:    Convert-Scalar module for perl 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Canary::Stability)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module exports various internal perl methods that change the internal
representation or state of a perl scalar. All of these work in-place, that is,
they modify their scalar argument. No functions are exported by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_CANARY_STABILITY_NOPROMPT=1
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc COPYING Changes META.yml README
%{perl_vendorarch}/Convert/Scalar.pm
%{perl_vendorarch}/auto/Convert/Scalar
%{_mandir}/*/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.120.0-13.mga10
+ Revision: 2225909
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 1.120.0-12.mga10
+ Revision: 2088012
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 1.120.0-11.mga10
+ Revision: 2010936
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 1.120.0-10.mga9
+ Revision: 1861618
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.120.0-9.mga9
+ Revision: 1795568
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.120.0-8.mga9
+ Revision: 1726458
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.120.0-7.mga8
+ Revision: 1594362
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.120.0-6.mga8
+ Revision: 1529431
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.120.0-5.mga8
+ Revision: 1433412
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.120.0-4.mga7
+ Revision: 1292538
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 1.120.0-3.mga7
+ Revision: 1248969
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.120.0-2.mga7
+ Revision: 1163564
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 guillomovitch <guillomovitch> 1.120.0-1.mga7
+ Revision: 1158917
- new version 1.12

* Thu Aug 31 2017 pterjan <pterjan> 1.110.0-5.mga7
+ Revision: 1149546
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.110.0-4.mga7
+ Revision: 1126630
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.110.0-3.mga6
+ Revision: 1024379
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.110.0-2.mga6
+ Revision: 956912
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.110.0-1.mga6
+ Revision: 851521
- update to 1.11

* Fri Jun 26 2015 sander85 <sander85> 1.100.0-9.mga6
+ Revision: 843992
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-8.mga5
+ Revision: 749212
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-7.mga5
+ Revision: 684019
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.100.0-6.mga5
+ Revision: 630942
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.100.0-5.mga4
+ Revision: 524233
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.100.0-4.mga4
+ Revision: 430604
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-3.mga3
+ Revision: 364806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.100.0-2.mga3
+ Revision: 250378
- rebuild for perl 5.16
- update to 1.1

* Sat Jun 11 2011 sander85 <sander85> 1.40.0-3.mga2
+ Revision: 103755
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 1.40.0-2.mga1
+ Revision: 10246
- imported package perl-Convert-Scalar


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-2mdv2011.0
+ Revision: 555703
- rebuild

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.40.0-1mdv2010.0
+ Revision: 406921
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.04-3mdv2009.0
+ Revision: 256138
- rebuild

* Sun Mar 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2008.1
+ Revision: 183108
- update to new version 1.04

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 1.03-4mdv2008.1
+ Revision: 151884
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-3mdv2008.0
+ Revision: 86231
- rebuild


* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 15:02:55 (58443)
- mkrel
- check section

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:57:21 (58436)
Import perl-Convert-Scalar

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.03-1mdk
- 1.03
- use perl_vendorarch macro

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.01-1mdk
- initial Mandriva package

